FGC-RBAC
组织管理

获取组织分页列表

GET
/GetOrgListByPage

分页获取活字格服务中的组织节点列表。

AuthorizationBearer <token>

In: header

Query Parameters

page*string

当前页码,从 1 开始

pageSize*string

每页返回的记录数

Response Body

application/json

curl -X GET "https://camp.app.hzgcloud.cn/rbac/ServerCommand/GetOrgListByPage?page=1&pageSize=5"
{
  "ErrCode": 0,
  "Message": "success",
  "total": 25,
  "data": [
    {
      "orgId": 1,
      "name": "新机构1",
      "pOrgId": 0,
      "orgLevel": null,
      "sort": 1,
      "orgPath": "新机构1",
      "description": null
    },
    {
      "orgId": 2,
      "name": "xx公司",
      "pOrgId": 0,
      "orgLevel": "公司",
      "sort": 2,
      "orgPath": "xx公司",
      "description": null
    },
    {
      "orgId": 3,
      "name": "部门1",
      "pOrgId": 2,
      "orgLevel": "部门",
      "sort": 3,
      "orgPath": "xx公司/部门1",
      "description": null
    },
    {
      "orgId": 4,
      "name": "部门2",
      "pOrgId": 2,
      "orgLevel": "部门",
      "sort": 4,
      "orgPath": "xx公司/部门2",
      "description": null
    },
    {
      "orgId": 5,
      "name": "财务部",
      "pOrgId": 2,
      "orgLevel": "部门",
      "sort": 5,
      "orgPath": "xx公司/财务部",
      "description": null
    }
  ]
}